| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
Table::StartStopManipulator Class Reference
General

Removes lines at start or stop of input. More...

`#include <tableconvimpl.h>`

Inheritance diagram for Table::StartStopManipulator:
[legend]

## Classes
struct | Criterion

## Public Member Functions
| StartStopManipulator ()
bool | accept (BufferStringSet &) const override
| if false returned, the row should not be written

## Public Attributes
Criterion | start_
Criterion | stop_

## Protected Member Functions
bool | isGEMatch (const Criterion &, const BufferStringSet &) const
void | updCount (const Criterion &, const BufferStringSet &) const

## Protected Attributes
int | count_
bool | startdone_

## Detailed Description

Removes lines at start or stop of input.

Specify either a fixed number of lines, or an expression to match. For the stop_, the count is from the start and it determines how many records pass.

<>

## Constructor & Destructor Documentation

## ◆ StartStopManipulator()

Table::StartStopManipulator::StartStopManipulator | ( |  | ) |
| inline

## Member Function Documentation

## ◆ accept()

bool Table::StartStopManipulator::accept | ( | BufferStringSet & |  | ) | const
| override virtual

if false returned, the row should not be written

Implements Table::Converter::RowManipulator.

## ◆ isGEMatch()

bool Table::StartStopManipulator::isGEMatch | ( | const Criterion & | ,
|  | const BufferStringSet & | ) const
| protected

## ◆ updCount()

void Table::StartStopManipulator::updCount | ( | const Criterion & | ,
|  | const BufferStringSet & | ) const
| protected

## Member Data Documentation

## ◆ count_

int Table::StartStopManipulator::count_
| mutable protected

## ◆ start_

Criterion Table::StartStopManipulator::start_

## ◆ startdone_

bool Table::StartStopManipulator::startdone_
| mutable protected

## ◆ stop_

Criterion Table::StartStopManipulator::stop_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025